<template>
  <div>
    <div
      class="betfont icon-all color-white p-x-16 p-y-16 text-xxxl pull-right"
      @click="toggle()"
    ></div>
    <modal
      v-model="showModal"
      ref="modal"
      id="modal-demo"
      class="takeover-list light"
      size="full"
      :header="false"
      :footer="false"
    >
      <div class="takeover-modal-header">
        <div class="takeover-modal-header-group flex-grow-1 text-center"></div>
        <div class="takeover-modal-header-group">
          <span
            class="betfont icon-close p-l-8 cursor-pointer"
            @click="toggle()"
          ></span>
        </div>
      </div>

      <div class="d-flex justify-content-center align-items-center">
        <hr class="m-y-0 flex-grow-1" />
        <span
          class="betfont icon-brandlogo color-white text-xxxxl m-y-16 m-x-16"
        ></span>
        <hr class="m-y-0  flex-grow-1" />
      </div>

      <ul class="quick-menu">
        <li
          v-for="menuList in [
            'Menu 1',
            'Menu 2',
            'Menu 3',
            'Menu 4',
            'Menu 5',
            'Menu 6',
            'Menu 7',
            'Menu 8',
            'Menu 9',
            'Menu 10',
            'Menu 11'
          ]"
          :key="menuList"
        >
          <div>
            <div class="betfont icon-casino"></div>
            <div>{{ menuList }}</div>
          </div>
        </li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
      </ul>

      <button class="btn-compact-text dark" @click="toggle()"></button>
    </modal>
  </div>
</template>

<script>
export default {
  data() {
    return {
      showModal: false
    };
  },
  methods: {
    toggle() {
      this.showModal = !this.showModal;
    }
  }
};
</script>
